<template>
  <transition name="popup">
    <div id="popup-back" @click="hide" v-show="!hidden">
      <div id="popup" @click="hide">{{message}}</div>
    </div>
  </transition>
</template>
<script>
export default {
  props: ["message"],
  data() {
    const hours = new Date().getHours();
    return {
      hidden: hours > 23 || hours < 11 ? false : true
    };
  },
  methods: {
    hide() {
      this.hidden = true;
    }
  }
};
</script>
<style scoped>
#popup-back {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #00000055;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
}
#popup {
  display: block;
  flex: 1;
  max-width: 700px;
  min-width: 300px;
  padding: 50px;
  background-color: white;
  border: 1px solid #ddd;
  font-size: 1.5em;
  text-align: center;
  line-height: 1.5em;
}
.popup-enter-active,
.popup-leave-active {
  transition: opacity 0.1s;
}
.popup-enter-active,
.popup-leave-to {
  opacity: 0;
}
</style>



